/*
 * pid.h
 *
 *  Created on: Mar 21, 2012
 *      Author: qwer1
 */

#ifndef PID_H_
#define PID_H_

//maximum size of integration buffer
#define PID_I_N     30

//maximum Out value
#define PID_OUT_MAX 32767

#include "ul_pid.h"
#include "adc.h"

//PID structures
extern struct pid_struct pids[T_TC_NUM];

//initial setup of PID controllers
void setup_pid(void);

//initialize PID regulators from configuration
void pids_init(void);

//update PID controllers with current values
void pids_update(void);

#endif /* PID_H_ */
